Bug 736751 - change PAGE_SIZE to 64k similar to RHEL-6
Summary: change PAGE_SIZE to 64k similar to RHEL-6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: powerpc
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 15:44 UTC by Karsten Hopp
Modified: 2011-09-15 15:15 UTC (History)
6 users (show)

Fixed In Version: kernel-3.1.0-0.rc6.git0.0.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 15:15:34 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2011-09-08 15:44:57 UTC
Description of problem:
The PPC kernel currently has
CONFIG_PPC_4K_PAGES=y
# CONFIG_PPC_64K_PAGES is not set

Please change that to
# CONFIG_PPC_4K_PAGES is not set
CONFIG_PPC_64K_PAGES=y

so that we have the same settings than RHEL-6 and can benefit from the testing that has already been done there.

Comment 1 Josh Boyer 2011-09-09 15:06:59 UTC
After a brief discussion, this bug will change the page size on ppc64 kernels to 64k, but leave it as 4k on ppc kernels.

Comment 2 Josh Boyer 2011-09-10 01:02:45 UTC
This has been committed to f16 and rawhide.  It'll be included in the next build.

Comment 3 Fedora Update System 2011-09-13 10:20:00 UTC
kernel-3.1.0-0.rc6.git0.0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.0.fc16

Comment 4 Fedora Update System 2011-09-15 15:15:10 UTC
kernel-3.1.0-0.rc6.git0.0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.